Summary:	A very versatile desktop calculator
Name:		qalculate-qt
Version:	4.5.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Utilities
URL:		https://qalculate.github.io/
Source0:	https://github.com/Qalculate/qalculate-qt/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Disable-check-for-updates.patch
BuildRequires:	rpm_macro(qmake_qt6)
BuildRequires:	qmake-qt6
BuildRequires:	qttools6
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libqalculate) >= %{version}
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	pkgconfig(Qt6Network)
Recommends:	gnuplot

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry
(although it supports optional traditional buttons).

This package provides the Qt frontend.

%prep
%autosetup -p1

%build
%qmake_qt6 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/io.github.Qalculate.qalculate-qt.desktop
%{_metainfodir}/io.github.Qalculate.qalculate-qt.metainfo.xml
%{_iconsdir}/hicolor/*/apps/qalculate-qt.{svg,png}
%{_mandir}/man1/qalculate-qt.1*


%changelog
* Fri Jan 06 2023 wally <wally> 4.5.1-1.mga9
+ Revision: 1930707
- new version 4.5.1
- switch to Qt6

* Sun Dec 04 2022 wally <wally> 4.4.0-1.mga9
+ Revision: 1917477
- new version 4.4.0

* Sun Aug 28 2022 wally <wally> 4.3.0-1.mga9
+ Revision: 1881435
- new version 4.3.0

* Wed Jun 22 2022 wally <wally> 4.2.0-1.mga9
+ Revision: 1865537
- new version 4.2.0

* Fri Apr 08 2022 wally <wally> 4.1.1-1.mga9
+ Revision: 1848164
- new version 4.1.1

* Sun Apr 03 2022 umeabot <umeabot> 3.22.0-2.mga9
+ Revision: 1842773
- Mageia 9 Mass Rebuild

* Sat Dec 18 2021 wally <wally> 3.22.0-1.mga9
+ Revision: 1762508
- new version 3.22.0

* Sun Oct 17 2021 wally <wally> 3.21.0-1.mga9
+ Revision: 1751944
- new version 3.21.0

* Sun Aug 08 2021 wally <wally> 3.20.1-2.mga9
+ Revision: 1740597
- disable check for updates

* Sun Aug 08 2021 wally <wally> 3.20.1-1.mga9
+ Revision: 1740559
- imported package qalculate-qt

